OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Data Fields
CYapfNodeT< Tkey_, Tnode > Struct Template Reference

Yapf Node base. More...

`#include <yapf_node.hpp>`

## Public Types
typedef Tkey_ | Key
typedef Tnode | Node

## Public Member Functions
void | Set (Node *parent, TileIndex tile, Trackdir td, bool is_choice)
Node * | GetHashNext ()
void | SetHashNext (Node *pNext)
TileIndex | GetTile () const
Trackdir | GetTrackdir () const
const Tkey_ & | GetKey () const
int | GetCost () const
int | GetCostEstimate () const
bool | operator< (const Node &other) const
void | Dump (DumpTarget &dmp) const

## Data Fields
Tkey_ | m_key
Node * | m_hash_next
Node * | m_parent
int | m_cost
int | m_estimate

## Detailed Description

### template<class Tkey_, class Tnode>
struct CYapfNodeT< Tkey_, Tnode >

Yapf Node base.

Definition at line 47 of file yapf_node.hpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_node.hpp